set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_generic_associative_lookup
#define | __glibcxx_want_node_extract
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_SET

## Typedefs

template<typename _Key , typename _Cmp = std::less<_Key>>
using | std::pmr::multiset = std::multiset< _Key, _Cmp, polymorphic_allocator< _Key > >
template<typename _Key , typename _Cmp = std::less<_Key>>
using | std::pmr::set = std::set< _Key, _Cmp, polymorphic_allocator< _Key > >

## Functions

template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >
multiset< _Key, _Compare, _Alloc >::size_type | std::erase_if (multiset< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Compare , typename _Alloc , typename _Predicate >
set< _Key, _Compare, _Alloc >::size_type | std::erase_if (set< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file set.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 72 of file set.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 73 of file set.

## __glibcxx_want_generic_associative_lookup

#define __glibcxx_want_generic_associative_lookup

Definition at line 74 of file set.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 75 of file set.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 76 of file set.

## _GLIBCXX_SET

#define _GLIBCXX_SET

Definition at line 56 of file set.

## Typedef Documentation

## multiset

template<typename _Key , typename _Cmp = std::less<_Key>>

using std::pmr::multiset = typedef std::multiset<_Key, _Cmp, polymorphic_allocator<_Key> >

Definition at line 89 of file set.

## set

template<typename _Key , typename _Cmp = std::less<_Key>>

using std::pmr::set = typedef std::set<_Key, _Cmp, polymorphic_allocator<_Key> >

Definition at line 87 of file set.